/* zethereal.h
 *
 * ZEthereal -- Ethereal for the Sharp Zaurus
 * Copyright (C) 2003  Philippe Biondi <biondi@cartel-securite.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef ZETHEREAL_H
#define ZETHEREAL_H
#include <vector.h>
#include "zetherealmain.h"
#include "engine.h"

extern "C" {
#include "../config.h"
#include <glib.h>
#include "../file.h"
#include "engine_core.h"
}

//struct wtap_pkthdr {
//	struct timeval ts;
//	unsigned int caplen;
//	unsigned int len;
//	int pkt_encap;
//};
//


//struct metapkt_s {
//	struct wtap_pkthdr *phdr;
//	void *pphdr;
//	unsigned char *pkt;
//	void    *fdata;
//	void *tree;
//};
//
typedef struct metapkt_s metapkt_t;


class Zethereal : public ZetherealMain
{ 
    Q_OBJECT

public:
	Zethereal( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~Zethereal();
	void init_engine(Engine *eng);
	void update_engine();
	void clearCapture();
	void add_packet(char *time, char *src, char *dst, char *proto, char *info, metapkt_t *mpkt);


protected:
	vector<metapkt_t *> mpktvec; 
	int first_if_add;
	Engine *engine;
	int myno;
	
private slots:
	void dissect_packet(QListViewItem *p);
        void capture();
        void stopCapture();
	void open();
 
// Debug
	void debug(void);

};

#endif
